- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# hierarchyeventlistener.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::spi
## Classes
class | HierarchyEventListener
| Listen to events occuring within a Hierarchy. More...
## Functions
| log4cxx::spi::LOG4CXX_PTR_DEF (HierarchyEventListener)
| log4cxx::spi::LOG4CXX_LIST_DEF (HierarchyEventListenerList, HierarchyEventListenerPtr)